Name:           perl-Inline-CPP
Version:        0.75
Release:        1%{?dist}
Summary:        Write Perl subroutines and classes in C++
License:        Artistic 2.0
URL:            https://metacpan.org/release/Inline-CPP
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVIDO/Inline-CPP-%{version}.tar.gz
# Do not ask questions at build time
Patch0:         Inline-CPP-0.75-Non-interactive-Makefile.PL.patch
# Install into archicture specific path because of stored C++ compiler flags,
# CPAN RT#122557
Patch1:         Inline-CPP-0.74-Install-into-architecture-specific-path.patch
# This is a full-arch package because it stores arch-specific C++ options,
# CPAN RT#122557
%global debug_package %{nil}
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.11
BuildRequires:  perl(ExtUtils::MakeMaker) >= 7.04
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
# Perl header files included into generated code
BuildRequires:  perl-devel
BuildRequires:  perl(Carp)
BuildRequires:  perl(Inline::C) >= 0.67
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(English)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Inline) >= 0.78
BuildRequires:  perl(Test::More) >= 1.001009
# Optional tests:
BuildRequires:  perl(Inline::Filters)
# Test::Kwalitee not used
# Test::Perl::Critic not used
# Test::Pod 1.00 not used
# Test::Pod::Coverage 1.00 not used
Requires:       gcc-c++(%{__isa})
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Inline::C) >= 0.67
# Perl header files included into generated code
Requires:       perl-devel(%{__isa})

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Inline::C\\)$

%description
The Inline::CPP Perl module allows you to put C++ source code directly "inline"
in a Perl script or module. You code classes or functions in C++, and you
can use them as if they were written in Perl.

%prep
%setup -q -n Inline-CPP-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Wed Sep 19 2018 Petr Pisar <ppisar@redhat.com> - 0.75-1
- 0.75 bump

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.74-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.74-5
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.74-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.74-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Petr Pisar <ppisar@redhat.com> 0.74-1
- Specfile autogenerated by cpanspec 1.78.
